Skip navigation links

Overview | Package | Class | Tree | Index | Help
| Oracle® Coherence Java API Reference Release 3.6.0.0 E15725-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.tangosol.net.cache
Class SimpleOverflowMap.HashcodeComparator

`java.lang.Object
com.tangosol.net.cache.SimpleOverflowMap.HashcodeComparator`

All Implemented Interfaces:
  Comparator

Enclosing class:
  SimpleOverflowMap

      protected static class SimpleOverflowMap.HashcodeComparator

extends Object
implements Comparator

A stateless Comparator that compares `Object.hashCode()` values.

Field Summary
`static SimpleOverflowMap.HashcodeComparator` | `INSTANCE`

Constructor Summary
`protected` | `SimpleOverflowMap.HashcodeComparator()`

Method Summary
`int` | `compare(Object o1, Object o2)` Compares its two arguments for order.
`boolean` | `equals(Object obj)` Indicates whether some other object is "equal to" this Comparator.

Field Detail

### INSTANCE

    public static final SimpleOverflowMap.HashcodeComparator INSTANCE

Constructor Detail

### SimpleOverflowMap.HashcodeComparator

    protected SimpleOverflowMap.HashcodeComparator()

Method Detail

### compare

    public int compare(Object o1,
                       Object o2)

  Description copied from interface: `java.util.Comparator`
  Compares its two arguments for order. Returns a negative integer, zero, or a positive integer as the first argument is less than, equal to, or greater than the second.

  The implementor must ensure that `sgn(compare(x, y)) == -sgn(compare(y, x))` for all `x` and `y`. (This implies that `compare(x, y)` must throw an exception if and only if `compare(y, x)` throws an exception.)

  The implementor must also ensure that the relation is transitive: `((compare(x, y)>0) && (compare(y, z)>0))` implies `compare(x, z)>0`.

  Finally, the implementer must ensure that `compare(x, y)==0` implies that `sgn(compare(x, z))==sgn(compare(y, z))` for all `z`.

  It is generally the case, but not strictly required that `(compare(x, y)==0) == (x.equals(y))`. Generally speaking, any comparator that violates this condition should clearly indicate this fact. The recommended language is "Note: this comparator imposes orderings that are inconsistent with equals."

  Specified by:
    `compare` in interface `Comparator`
  Parameters:
    `o1` - the first object to be compared.
    `o2` - the second object to be compared.
  Returns:
    a negative integer, zero, or a positive integer as the first argument is less than, equal to, or greater than the second.

### equals

    public boolean equals(Object obj)

  Description copied from interface: `java.util.Comparator`
  Indicates whether some other object is "equal to" this Comparator. This method must obey the general contract of `Object.equals(Object)`. Additionally, this method can return `true` only if the specified Object is also a comparator and it imposes the same ordering as this comparator. Thus, `comp1.equals(comp2)` implies that `sgn(comp1.compare(o1, o2))==sgn(comp2.compare(o1, o2))` for every object reference `o1` and `o2`.

  Note that it is always safe not to override `Object.equals(Object)`. However, overriding this method may, in some cases, improve performance by allowing programs to determine that two distinct Comparators impose the same order.

  Specified by:
    `equals` in interface `Comparator`
  Parameters:
    `obj` - the reference object with which to compare.
  Returns:
    `true` only if the specified object is also a comparator and it imposes the same ordering as this comparator.
  See Also:
    `Object.equals(java.lang.Object)`, `Object.hashCode()`

Skip navigation links

Overview | Package | Class | Tree | Index | Help
| Oracle® Coherence Java API Reference Release 3.6.0.0 E15725-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000, 2010, Oracle and/or its affiliates. All rights reserved.